# -*- coding: utf-8 -*-
import mod.client.extraClientApi as clientApi

CompFactory = clientApi.GetEngineCompFactory()


class CustomEntityClientSystem(clientApi.GetClientSystemCls()):

    def __init__(self, namespace, name):
        super(CustomEntityClientSystem, self).__init__(namespace, name)
        self.ListenEvent()

    def ListenEvent(self):
        # self.ListenForEvent(clientApi.GetEngineNamespace(), clientApi.GetEngineSystemName(), "OnLocalPlayerStopLoading",
        #                     self, self.OnLocalPlayerStopLoading)
        self.ListenForEvent(clientApi.GetEngineNamespace(), clientApi.GetEngineSystemName(), "OnKeyPressInGame",
                            self, self.OnOnKeyPressInGame)

    def OnOnKeyPressInGame(self, args):
        screenName = args['screenName']
        key = int(args['key'])
        isDown = int(args['isDown'])
        if isDown and key == clientApi.GetMinecraftEnum().KeyBoardType.KEY_TAB:
            self.NotifyToServer("SwitchGameMode", {"playerId": clientApi.GetLocalPlayerId()})
